## kirigami2 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts

project(kirigami2 VERSION ${KF5_VERSION})

set(REQUIRED_QT_VERSION 5.12.0)

SET(CMAKE_CXX_STANDARD 11)

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "kirigami requires an out of source build. Please create a separate build directory and run 'cmake path_to_kirigami [options]' there.")
endif()

option(BUILD_SHARED_LIBS "Build a shared module" ON)
option(DESKTOP_ENABLED "Build and install The Desktop style" ON)
option(STATIC_LIBRARY "Build as a static library (deprecated, use BUILD_SHARED_LIBS instead)" OFF)
option(BUILD_EXAMPLES "Build and install examples" OFF)
option(DISABLE_DBUS "Build without D-Bus support" OFF)

if(NOT BUILD_SHARED_LIBS)
    set(STATIC_LIBRARY 1)
elseif(STATIC_LIBRARY)
    set(BUILD_SHARED_LIBS 0)
endif()

# Make CPack available to easy generate binary packages
include(CPack)
include(FeatureSummary)

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2)
if (BUILD_TESTING)
    find_package(Qt5QuickTest ${REQUIRED_QT_VERSION} CONFIG QUIET)
endif()
add_definitions(-DQT_NO_FOREACH)
set(CMAKE_AUTOMOC ON)
set(AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(STATIC_LIBRARY)
    add_definitions(-DKIRIGAMI_BUILD_TYPE_STATIC)
    add_definitions(-DQT_PLUGIN)
    add_definitions(-DQT_STATICPLUGIN=1)
endif(STATIC_LIBRARY)

################# set KDE specific information #################

find_package(ECM 5.68.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMPoQmTools)
include(ECMQMLModules)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEPackageAppTemplates)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Kirigami2")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5Kirigami2Config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5Kirigami2Config.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5Kirigami2Config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5Kirigami2ConfigVersion.cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5Kirigami2Macros.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KF5Kirigami2Targets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5Kirigami2Targets.cmake
    NAMESPACE KF5::
)


ecm_setup_version(${KF5_VERSION}
    VARIABLE_PREFIX KIRIGAMI2
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kirigami_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5Kirigami2ConfigVersion.cmake"
    SOVERSION 5
)

#use dbus on linux, bsd etc, but not andoid and apple stuff
if (UNIX AND NOT ANDROID AND NOT(APPLE) AND NOT(DISABLE_DBUS))
    find_package(Qt5DBus)
    add_definitions(-DKIRIGAMI_ENABLE_DBUS)
endif()

if(BUILD_EXAMPLES AND ANDROID)
    find_package(Qt5AndroidExtras ${REQUIRED_QT_VERSION} REQUIRED)
endif()


ecm_find_qmlmodule(QtGraphicalEffects 1.0)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_subdirectory(src)
if (NOT ANDROID)
    add_subdirectory(templates)
endif()

if (BUILD_EXAMPLES AND NOT STATIC_LIBRARY)
    add_subdirectory(examples)
endif()

if (BUILD_TESTING AND NOT STATIC_LIBRARY)
    add_subdirectory(autotests)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
if(NOT Qt5QuickTest_FOUND)
    message(STATUS "Qt5QuickTest not found, autotests will not be built.")
    return()
endif()

add_executable(qmltest qmltest.cpp)
target_link_libraries(qmltest Qt5::QuickTest)

macro(kirigami_add_tests)
    if (WIN32)
        set(_extra_args -platform offscreen)
    endif()

    foreach(test ${ARGV})
        add_test(NAME ${test}
                 COMMAND qmltest
                        ${_extra_args}
                        -import ${CMAKE_BINARY_DIR}/bin
                        -input ${test}
                 WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )
    endforeach()
endmacro()

kirigami_add_tests(
    tst_keynavigation.qml
    tst_listskeynavigation.qml
    tst_pagerow.qml
    tst_icon.qml
    tst_actiontoolbar.qml
)

=== src/CMakeLists.txt ===
project(kirigami)

if (NOT STATIC_LIBRARY)
    ecm_create_qm_loader(kirigami_QM_LOADER libkirigami2plugin_qt)
else()
    set(KIRIGAMI_STATIC_FILES
        libkirigami/basictheme.cpp
        libkirigami/platformtheme.cpp
        libkirigami/tabletmodewatcher.cpp
        libkirigami/kirigamipluginfactory.cpp)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/libkirigami ${CMAKE_CURRENT_BINARY_DIR}/libkirigami)

set(kirigami_SRCS
    kirigamiplugin.cpp
    columnview.cpp
    enums.cpp
    delegaterecycler.cpp
    icon.cpp
    settings.cpp
    formlayoutattached.cpp
    pagepool.cpp
    scenepositionattached.cpp
    mnemonicattached.cpp
    wheelhandler.cpp
    ${kirigami_QM_LOADER}
    ${KIRIGAMI_STATIC_FILES}
    )

add_subdirectory(libkirigami)

if(STATIC_LIBRARY)
    # `rcc` is a bit dumb and isn't designed to use auto generated files, to
    # avoid poluting the source directory, use absolute paths
    set(kirigami_QML_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../)

    # First, pre-process the QRC to add the files associated with the right Qt
    # version.
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/../kirigami.qrc.in
        ${CMAKE_CURRENT_BINARY_DIR}/../kirigami.qrc
        @ONLY
    )

    # When using the static library, all QML files need to be shipped within the
    # .a file.
    qt5_add_resources(
        RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/../kirigami.qrc
    )

    if (UNIX AND NOT ANDROID AND NOT(APPLE) AND NOT(DISABLE_DBUS))
        qt5_add_dbus_interface(kirigami_SRCS libkirigami/org.kde.KWin.TabletModeManager.xml tabletmodemanager_interface)
    endif()
endif(STATIC_LIBRARY)


add_library(kirigamiplugin ${kirigami_SRCS} ${RESOURCES})

if(STATIC_LIBRARY)
    SET_TARGET_PROPERTIES(kirigamiplugin PROPERTIES
        AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)
    if (UNIX AND NOT ANDROID AND NOT(APPLE) AND NOT(DISABLE_DBUS))
        set(Kirigami_EXTRA_LIBS Qt5::DBus)
    else()
        set(Kirigami_EXTRA_LIBS "")
    endif()
else(STATIC_LIBRARY)
    set(Kirigami_EXTRA_LIBS KF5::Kirigami2)
endif(STATIC_LIBRARY)


target_link_libraries(kirigamiplugin
        PUBLIC
            Qt5::Core
        PRIVATE
            ${Kirigami_EXTRA_LIBS} Qt5::Qml Qt5::Quick Qt5::QuickControls2
    )

if (NOT STATIC_LIBRARY)
    add_custom_target(copy_to_bin ALL
        COMMAND ${CMAKE_COMMAND} -E
                make_directory ${CMAKE_BINARY_DIR}/bin/org/kde/kirigami.2/
        COMMAND ${CMAKE_COMMAND} -E
                copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/controls ${CMAKE_BINARY_DIR}/bin/org/kde/kirigami.2/
        COMMAND ${CMAKE_COMMAND} -E
                copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/styles  ${CMAKE_BINARY_DIR}/bin/org/kde/kirigami.2/styles
        COMMAND ${CMAKE_COMMAND} -E
                copy $<TARGET_FILE:kirigamiplugin> ${CMAKE_BINARY_DIR}/bin/org/kde/kirigami.2/
    )

    install(DIRECTORY controls/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2)

    if (DESKTOP_ENABLED)
        install(DIRECTORY styles/org.kde.desktop DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/styles)
    endif()
    install(DIRECTORY styles/Material DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/styles)

    install(FILES ${platformspecific} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2)

    include(ECMGeneratePriFile)
    ecm_generate_pri_file(BASE_NAME Kirigami2 LIB_NAME KF5Kirigami2 DEPS "core qml quick svg" FILENAME_VAR PRI_FILENAME )
    install(FILES ${PRI_FILENAME}
            DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

endif(NOT STATIC_LIBRARY)

install(TARGETS kirigamiplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2)

=== templates/CMakeLists.txt ===
set(apptemplate_DIRS kirigami)

kde_package_app_templates(TEMPLATES ${apptemplate_DIRS} INSTALL_DIR ${KDE_INSTALL_KTEMPLATESDIR})

=== debian/changelog ===
kirigami2 (5.68.0-0ubuntu2) focal; urgency=medium

  * Add kubuntu_revert-commit-9b7cae89.patch (LP: #1869280)

 -- Rik Mills <rikmills@kde.org>  Fri, 27 Mar 2020 23:25:45 +0000

kirigami2 (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:57:58 +0000

kirigami2 (5.67.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Feb 2020 22:51:47 +0000

kirigami2 (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:50:43 +0000

kirigami2 (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:19:37 +0000

kirigami2 (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:00:49 +0000

kirigami2 (5.64.1-0ubuntu2) focal; urgency=medium

  * Drop transitional kirigami-gallery package.

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2019 15:46:47 +0000

kirigami2 (5.64.1-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release (5.64.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2019 15:37:00 +0000

kirigami2 (5.64.0a-0ubuntu1) focal; urgency=medium

  * Install template for Kirigami application development.
  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:24:55 +0000

kirigami2 (5.62.0-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Disable autopkgtest (Closes: 901746)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Oct 2019 09:00:44 +0000

=== debian/control ===
Source: kirigami2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-icon-theme (>= 4:5.68.0~),
               cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               kpackagetool5 (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libqt5svg5-dev (>= 5.8.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qtquickcontrols2-5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.7),
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/kirigami.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2

Package: kirigami2-dev
Architecture: any
Depends: libkf5kirigami2-5 (= ${binary:Version}),
         qml-module-org-kde-kirigami2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5kirigami2-doc (>= ${source:Version})
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the development files.

Package: libkf5kirigami2-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the library.

Package: libkf5kirigami2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: set of QtQuick components targeted for mobile use (documentation)
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the qch documentation files.

Package: qml-module-org-kde-kirigami2
Architecture: any
Depends: libkf5kirigami2-5 (= ${binary:Version}),
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBREEZEICONS_DIR=/usr/share/icons/breeze

override_dh_auto_test:
	# Disable unittest at build time, they require the runtime
	# dependencies and the modules installed. Move the tests to
	# autopkgtest.
	:

## kirigami2 5.74.0

=== debian/changelog ===
kirigami2 (5.74.0-0ubuntu2) groovy; urgency=medium

  * Add upstream patch to fix plasma-discover settings page crash.
    - debian/patches: upstream_fix-kde-bug-425670.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Sep 2020 19:42:46 +0100

kirigami2 (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:59:35 +0100

kirigami2 (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:58:34 +0100

kirigami2 (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:33:12 +0100

kirigami2 (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Drop included upstream_fix-qtquicklayouts-import.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:06:49 +0100

kirigami2 (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - debian/patches:
      + kubuntu_revert-commit-9b7cae89.patch
      + upstream_fix-qtquicklayouts-import.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2020 00:56:39 +0100

kirigami2 (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update install files.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update symbols from build for 5.70.0.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:35 +0200

kirigami2 (5.70.0-0ubuntu2) groovy; urgency=medium

  * Add uptream_fix-qtquicklayouts-import.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 27 May 2020 17:28:16 +0100

kirigami2 (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:32:27 +0100

kirigami2 (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Delete not needed Breaks/Confilcts.
  * Add symbols file for libkf5kirigami2-5.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Remove backported patches.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:55:46 +0200

kirigami2 (5.62.0-2) unstable; urgency=medium

  * New revision
  * Add new upstream patch: fix-compatibility-with-Qt5.11.patch.
    Thanks to Matthieu Gallien (Closes: 940939)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Sep 2019 10:52:03 -0700

kirigami2 (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:05 -0700

kirigami2 (5.61.0-1) experimental; urgency=medium

  * New revision
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Ignore reprotest build path variations
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-icon-theme (>= 4:5.68.0~),
-               cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: breeze-icon-theme (>= 4:5.74.0~),
+               cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
-               kpackagetool5 (>= 5.68.0~),
-               libkf5doctools-dev (>= 5.68.0~),
-               libqt5svg5-dev (>= 5.8.0~),
+               kpackagetool5 (>= 5.74.0~),
+               libkf5doctools-dev (>= 5.74.0~),
+               libqt5svg5-dev (>= 5.12.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
-               qtquickcontrols2-5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.12.0~),
+               qtdeclarative5-dev (>= 5.12.0~),
+               qtquickcontrols2-5-dev (>= 5.12.0~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.7),
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://cgit.kde.org/kirigami.git/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
+Rules-Requires-Root: no
 
 Package: kirigami2-dev
 Architecture: any
@@ -45,8 +46,8 @@
  This package contains the development files.
 
 Package: libkf5kirigami2-5
+Section: libs
 Architecture: any
-Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
@@ -63,9 +64,9 @@
  This package contains the library.
 
 Package: libkf5kirigami2-doc
+Section: doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: set of QtQuick components targeted for mobile use (documentation)
  Kirigami is a set of QtQuick components at the moment targeted for
@@ -91,7 +92,7 @@
          qml-module-qtquick-templates2,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
  mobile use (in the future desktop as well) targeting both Plasma

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_EXAMPLES=ON -DBUILD_QCH=ON -DBREEZEICONS_DIR=/usr/share/icons/breeze

override_dh_auto_test:
	# Disable unittest at build time, they require the runtime
	# dependencies and the modules installed. Move the tests to
	# autopkgtest.
	:

## kirigami2 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
 
 project(kirigami2 VERSION ${KF5_VERSION})
 
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 
 SET(CMAKE_CXX_STANDARD 11)
 
@@ -17,21 +17,17 @@
 
 option(BUILD_SHARED_LIBS "Build a shared module" ON)
 option(DESKTOP_ENABLED "Build and install The Desktop style" ON)
-option(STATIC_LIBRARY "Build as a static library (deprecated, use BUILD_SHARED_LIBS instead)" OFF)
 option(BUILD_EXAMPLES "Build and install examples" OFF)
 option(DISABLE_DBUS "Build without D-Bus support" OFF)
-
-if(NOT BUILD_SHARED_LIBS)
-    set(STATIC_LIBRARY 1)
-elseif(STATIC_LIBRARY)
-    set(BUILD_SHARED_LIBS 0)
+if(DEFINED STATIC_LIBRARY)
+    message(FATAL_ERROR "Use the BUILD_SHARED_LIBS=OFF option to build a static library, STATIC_LIBRARY is no longer a supported option")
 endif()
 
 # Make CPack available to easy generate binary packages
 include(CPack)
 include(FeatureSummary)
 
-find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2)
+find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2 Concurrent)
 if (BUILD_TESTING)
     find_package(Qt5QuickTest ${REQUIRED_QT_VERSION} CONFIG QUIET)
 endif()
@@ -40,15 +36,15 @@
 set(AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-if(STATIC_LIBRARY)
+if(NOT BUILD_SHARED_LIBS)
     add_definitions(-DKIRIGAMI_BUILD_TYPE_STATIC)
     add_definitions(-DQT_PLUGIN)
     add_definitions(-DQT_STATICPLUGIN=1)
-endif(STATIC_LIBRARY)
+endif()
 
 ################# set KDE specific information #################
 
-find_package(ECM 5.68.0 NO_MODULE)
+find_package(ECM 5.78.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
@@ -114,17 +110,17 @@
 
 ecm_find_qmlmodule(QtGraphicalEffects 1.0)
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
 add_subdirectory(src)
 if (NOT ANDROID)
     add_subdirectory(templates)
 endif()
 
-if (BUILD_EXAMPLES AND NOT STATIC_LIBRARY)
+if (BUILD_EXAMPLES AND BUILD_SHARED_LIBS)
     add_subdirectory(examples)
 endif()
 
-if (BUILD_TESTING AND NOT STATIC_LIBRARY)
+if (BUILD_TESTING AND BUILD_SHARED_LIBS)
     add_subdirectory(autotests)
 endif()

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -28,5 +28,10 @@
     tst_pagerow.qml
     tst_icon.qml
     tst_actiontoolbar.qml
+    tst_pagerouter.qml
+    tst_routerwindow.qml
+    tst_avatar.qml
+    pagepool/tst_pagepool.qml
+    pagepool/tst_layers.qml
 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(kirigami)
 
-if (NOT STATIC_LIBRARY)
+if (BUILD_SHARED_LIBS)
     ecm_create_qm_loader(kirigami_QM_LOADER libkirigami2plugin_qt)
 else()
     set(KIRIGAMI_STATIC_FILES
@@ -21,16 +21,35 @@
     settings.cpp
     formlayoutattached.cpp
     pagepool.cpp
+    imagecolors.cpp
     scenepositionattached.cpp
     mnemonicattached.cpp
     wheelhandler.cpp
+    shadowedrectangle.cpp
+    shadowedtexture.cpp
+    colorutils.cpp
+    pagerouter.cpp
+    avatar.cpp
+    toolbarlayout.cpp
+    toolbarlayoutdelegate.cpp
+    sizegroup.cpp
+    scenegraph/managedtexturenode.cpp
+    scenegraph/shadowedrectanglenode.cpp
+    scenegraph/shadowedrectanglematerial.cpp
+    scenegraph/shadowedborderrectanglematerial.cpp
+    scenegraph/paintedrectangleitem.cpp
+    scenegraph/shadowedtexturenode.cpp
+    scenegraph/shadowedtexturematerial.cpp
+    scenegraph/shadowedbordertexturematerial.cpp
     ${kirigami_QM_LOADER}
     ${KIRIGAMI_STATIC_FILES}
     )
 
+qt5_add_resources(SHADERS scenegraph/shaders/shaders.qrc)
+
 add_subdirectory(libkirigami)
 
-if(STATIC_LIBRARY)
+if(NOT BUILD_SHARED_LIBS)
     # `rcc` is a bit dumb and isn't designed to use auto generated files, to
     # avoid poluting the source directory, use absolute paths
     set(kirigami_QML_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../)
@@ -52,12 +71,12 @@
     if (UNIX AND NOT ANDROID AND NOT(APPLE) AND NOT(DISABLE_DBUS))
         qt5_add_dbus_interface(kirigami_SRCS libkirigami/org.kde.KWin.TabletModeManager.xml tabletmodemanager_interface)
     endif()
-endif(STATIC_LIBRARY)
+endif()
 
 
-add_library(kirigamiplugin ${kirigami_SRCS} ${RESOURCES})
+add_library(kirigamiplugin ${kirigami_SRCS} ${RESOURCES} ${SHADERS})
 
-if(STATIC_LIBRARY)
+if(NOT BUILD_SHARED_LIBS)
     SET_TARGET_PROPERTIES(kirigamiplugin PROPERTIES
         AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)
     if (UNIX AND NOT ANDROID AND NOT(APPLE) AND NOT(DISABLE_DBUS))
@@ -65,19 +84,22 @@
     else()
         set(Kirigami_EXTRA_LIBS "")
     endif()
-else(STATIC_LIBRARY)
+else()
+    if(WIN32)
+        set_target_properties(kirigamiplugin PROPERTIES PREFIX "")
+    endif()
     set(Kirigami_EXTRA_LIBS KF5::Kirigami2)
-endif(STATIC_LIBRARY)
+endif()
 
 
 target_link_libraries(kirigamiplugin
         PUBLIC
             Qt5::Core
         PRIVATE
-            ${Kirigami_EXTRA_LIBS} Qt5::Qml Qt5::Quick Qt5::QuickControls2
+            ${Kirigami_EXTRA_LIBS} Qt5::Qml Qt5::Quick Qt5::QuickControls2 Qt5::Concurrent
     )
 
-if (NOT STATIC_LIBRARY)
+if (BUILD_SHARED_LIBS)
     add_custom_target(copy_to_bin ALL
         COMMAND ${CMAKE_COMMAND} -E
                 make_directory ${CMAKE_BINARY_DIR}/bin/org/kde/kirigami.2/
@@ -103,6 +125,6 @@
     install(FILES ${PRI_FILENAME}
             DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
 
-endif(NOT STATIC_LIBRARY)
+endif()
 
 install(TARGETS kirigamiplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2)

=== templates/kirigami/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(%{APPNAMELC})

include(FeatureSummary)

set(QT5_MIN_VERSION 5.12)
set(KF5_MIN_VERSION 5.65)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)

find_package(Qt5 ${QT5_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 I18n)

add_subdirectory(src)

install(PROGRAMS org.kde.%{APPNAMELC}.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.%{APPNAMELC}.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kirigami2 (5.78.0-3) unstable; urgency=medium

  * Include upstream fix for crashing systemsettings.

 -- Norbert Preining <norbert@preining.info>  Sat, 23 Jan 2021 00:01:33 +0900

kirigami2 (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:22 +0900

kirigami2 (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:42 +0900

kirigami2 (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:35 +0900

kirigami2 (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Drop upstream included patch.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:54 +0900

kirigami2 (5.74.0-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 6eaefba5001445fa7e198e4caa0bde738240d66f to fix a
    crash; patch
    upstream_Remove-actions-and-delegates-from-ToolBarLayout-when.patch.
  * Remove the unused autopkgtest stuff.
  * Do not enable the examples, as we do not ship them anyway:
    - drop the -DBUILD_EXAMPLES=ON cmake parameter
    - drop debian/not-installed, no more needed now
  * Add the qml-module-qtquick-layouts dependency in
    qml-module-org-kde-kirigami2, needed for some components. (Closes: #934404)
  * Remove unused debian/kirigami-gallery.lintian-overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Nov 2020 21:06:14 +0100

kirigami2 (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:17:20 +0200

kirigami2 (5.74.0-1) experimental; urgency=medium


  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: kirigami2
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-icon-theme (>= 4:5.74.0~),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
+Build-Depends: breeze-icon-theme,
                cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.78.0~),
                graphviz,
-               kpackagetool5 (>= 5.74.0~),
-               libkf5doctools-dev (>= 5.74.0~),
-               libqt5svg5-dev (>= 5.12.0~),
+               kpackagetool5,
+               libkf5doctools-dev,
+               libqt5svg5-dev (>= 5.14.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.0~),
-               qtdeclarative5-dev (>= 5.12.0~),
-               qtquickcontrols2-5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.14.0~),
+               qtdeclarative5-dev (>= 5.14.0~),
+               qtquickcontrols2-5-dev (>= 5.14.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.7),
-Standards-Version: 4.5.0
-Homepage: https://cgit.kde.org/kirigami.git/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
+               qttools5-dev-tools (>= 5.7)
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/kirigami
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami.git
 Rules-Requires-Root: no
 
 Package: kirigami2-dev
@@ -29,7 +30,7 @@
 Depends: libkf5kirigami2-5 (= ${binary:Version}),
          qml-module-org-kde-kirigami2 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: libkf5kirigami2-doc (>= ${source:Version})
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
@@ -85,10 +86,10 @@
 Package: qml-module-org-kde-kirigami2
 Architecture: any
 Depends: libkf5kirigami2-5 (= ${binary:Version}),
-         qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
          qml-module-qtquick-templates2,
          qml-module-qtquick2,
          ${misc:Depends},

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kirigami2-([\d.]+)\.tar\.xz

## kirigami2 5.80.0

=== debian/changelog ===
kirigami2 (5.80.0-0ubuntu3) hirsute; urgency=medium

  * Fix copypasta error with lto !symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Mar 2021 19:27:19 +0100

kirigami2 (5.80.0-0ubuntu2) hirsute; urgency=medium

  * Mark symbols as optional that are not seen when building with lto.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Mar 2021 19:07:29 +0100

kirigami2 (5.80.0-0ubuntu1) hirsute; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.80.0)
  * Update symbols

  [ Rik Mills ]
  * Update symbols for riscv64.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:08:15 +0000

kirigami2 (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)
  * Drop included upstream patch.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:22:17 +0000

kirigami2 (5.78.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Kirigami qml module depends on qml-module-org-kde-kquickcontrolsaddons,
      as required by the qml imports.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Jan 2021 12:35:53 +0000

kirigami2 (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:56:46 +0000

kirigami2 (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Kirigami qml module depends on qml-module-org-kde-kquickcontrolsaddons,
      as required by the qml imports.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 18:57:13 +0000

kirigami2 (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:10:40 +0000

kirigami2 (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * Delete upstream_fix-kde-bug-425670.patch, applied upstream
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:23:10 +0000

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: breeze-icon-theme,
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: breeze-icon-theme (>= 4:5.80.0~),
                cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
-               kpackagetool5,
-               libkf5doctools-dev,
+               kpackagetool5 (>= 5.80.0~),
+               libkf5doctools-dev (>= 5.80.0~),
                libqt5svg5-dev (>= 5.14.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.14.0~),
                qtdeclarative5-dev (>= 5.14.0~),
-               qtquickcontrols2-5-dev (>= 5.14.0~),
+               qtquickcontrols2-5-dev (>= 5.13.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.7)
+               qttools5-dev-tools (>= 5.7),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kirigami
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
 Rules-Requires-Root: no
 
 Package: kirigami2-dev
@@ -30,7 +30,7 @@
 Depends: libkf5kirigami2-5 (= ${binary:Version}),
          qml-module-org-kde-kirigami2 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5kirigami2-doc (>= ${source:Version})
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
@@ -86,6 +86,7 @@
 Package: qml-module-org-kde-kirigami2
 Architecture: any
 Depends: libkf5kirigami2-5 (= ${binary:Version}),
+         qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,
@@ -93,7 +94,7 @@
          qml-module-qtquick-templates2,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
  mobile use (in the future desktop as well) targeting both Plasma

## kirigami2 5.86.0

=== debian/changelog ===
kirigami2 (5.86.0-0ubuntu2) impish; urgency=medium

  * Add upstream bugfix patch:
    - d/p/upstream_fix-ScrollViewKCMs.patch
      https://bugs.kde.org/442660

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Oct 2021 16:04:54 +0100

kirigami2 (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:48:24 +0100

kirigami2 (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * New build depend on qtbase5-private-dev

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:27:35 +0100

kirigami2 (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:00:38 +0100

kirigami2 (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:17:35 +0100

kirigami2 (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:57:18 +0100

kirigami2 (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:29:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: breeze-icon-theme (>= 4:5.80.0~),
+Build-Depends: breeze-icon-theme (>= 4:5.86.0~),
                cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
-               kpackagetool5 (>= 5.80.0~),
-               libkf5doctools-dev (>= 5.80.0~),
+               kpackagetool5 (>= 5.86.0~),
+               libkf5doctools-dev (>= 5.86.0~),
                libqt5svg5-dev (>= 5.14.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.14.0~),
+               qtbase5-private-dev,
                qtdeclarative5-dev (>= 5.14.0~),
                qtquickcontrols2-5-dev (>= 5.13.0~),
                qttools5-dev,
